Subject: bug#79200: 31.0.50; Duplicated elements for '#<marker at' in buffer-undo-list

From: Gerd Möllmann <[email-masked]>
Date: Tue, 12 Aug 2025 05:44:27 +0200

Óscar Fuentes <[email-masked]> writes:

> I think Emacs/igc is using less memory than usual (in my past experience
> at this time it should be well over 1GB, but it's stabilized on
> 0.8GB.)

I still don't understand why these marker entries in the undo list are
made. Maybe someone else knows?

I mean, when we undo, markers may have to be adjusted, that's clear. But
why only specific markers, the ones having marker entries? Why not go
go over all buffer markers and adjust them according to what is undone?

I don't get it :-/.